<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_DIRECT_PURCHASE_REQ_VIEW';
$path_to_root = "../..";

include($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc"); 
include_once($path_to_root . "/purchasing/includes/ui/direct_purchase_requisitions_ui.inc");
include_once($path_to_root . "/purchasing/includes/db/direct_purchase_requisitions_db.inc"); 
include_once($path_to_root . "/purchasing/includes/ui/quality_checks_ui.inc"); 
include_once($path_to_root . "/purchasing/includes/db/quality_checks_db.inc"); 
include_once($path_to_root . "/projects/includes/db/projects_db.inc"); 

$js = "";
$js .= get_js_open_window(800, 500);

global $systypes_array;

page(_($help_context = "View Direct Purchase Requisition"), true, false, "", $js);

if (isset($_GET["trans_no"])) {
    $trans_no = $_GET["trans_no"];
}

br(2);

    display_heading($systypes_array[ST_DIRECT_PURCHASE_REQ]." #$trans_no");

    $dpr_no = view_direct_purchase_requisition_header(ST_DIRECT_PURCHASE_REQ, $trans_no);

    display_heading($systypes_array[ST_DIRECT_PURCHASE_REQ]." Details");

    view_direct_purchase_requisition_details(ST_DIRECT_PURCHASE_REQ, $trans_no);
    
    view_quality_check_headers_by_dpr_no($dpr_no, ST_QUALITY_CHECK);
    
end_page(true, false, false, ST_DIRECT_PURCHASE_REQ, $trans_no);

?>